/*
 * Internal definitions for speedfreq
 *
 * Copyright 2003 Jeremy Fitzhardinge <jeremy@goop.org>
 *
 * This software is licensed under the GNU General Public License.
 * See COPYING for details.
 */

#ifndef _SPEEDFREQ_INT_H
#define _SPEEDFREQ_INT_H

enum sfi_commands {
	GETVERSION	= 0,
	GETPOLICY	= 1,
	GETCPUINFO	= 2,
	SETPOLICY	= 3,
	SHUTDOWN	= 4,
	MONITOR		= 5,

	/* replies */
	OK		= 255,
	ERROR		= 256,
};

#define STRLEN	32

struct sfi_request {
	enum sfi_commands cmd;

	union {
		struct sf_policyinfo	policy;		/* SETPOLICY, GETPOLICY */
		struct sf_cpuinfo	cpuinfo;	/* GETCPUINFO */
		char			string[STRLEN];	/* GETVERSION, ERROR */
		int			enable;		/* MONITOR */
	};
};


#define NAME		"speedfreq"
#define RUNDIR		"/var/run/"
#define SOCKPATH	RUNDIR NAME ".sock"


#endif /* _SPEEDFREQ_INT_H */
