%define version 0.7.2
%define release 3
%define py_version 2.2

Summary: CPU speed management daemon
Name: speedfreq
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Base
URL: http://www.goop.org/~jeremy/speedfreq
Packager: Bryan O'Sullivan <bos@serpentine.com>
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel >= %{py_version}

%description
Speedfreq is a package that manages the CPU performance policy.  It is
most likely to be useful to laptop owners.  It supports a small number
of useful policies that you can use to trade off system performance
against battery life.

%package devel
Summary: Development headers and libraries for speedfreq
Group: Development/Libraries

%description devel
The speedfreq-devel package contains the header and object files
necessary for developing programs which use the speedfreq C library.

%package python
Summary: Python interface to the speedfreq client library
Group: Development/Libraries
Requires: python >= %{py_version}

%description python
The speedfreq-python package contains a Python module that allows you
to perform speedfreq client functions.

%prep
%setup -q

%build
make VERSION=%{version} \
	PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	INITD=$RPM_BUILD_ROOT/%{_initrddir} \
	MAN=$RPM_BUILD_ROOT/%{_mandir} \
	PY_VER=%{py_version}

%install
rm -rf $RPM_BUILD_ROOT
make install VERSION=%{version} \
	PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	INITD=$RPM_BUILD_ROOT/%{_initrddir} \
	MAN=$RPM_BUILD_ROOT/%{_mandir} \
	PY_VER=%{py_version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/sbin/speedfreqd
/usr/bin/speedfreq
/usr/lib/libspeedfreq.so*
/etc/rc.d/init.d/speedfreqd
%docdir /usr/share/man/*
/usr/share/man/man[^3]/*

%doc CHANGES COPYING README TODO

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%docdir /usr/share/man/*
/usr/share/man/man3/*

%files python
%defattr(-,root,root,-)
/usr/lib/python%{py_version}/site-packages/*

%post
/sbin/chkconfig --add speedfreqd

%preun
/sbin/service speedfreqd stop
/sbin/chkconfig --del speedfreqd

%changelog
* Mon Sep  1 2003 Bryan O'Sullivan <bos@serpentine.com> - 0.6.2-1
- Added sf_poll to API.

* Mon Sep  1 2003 Bryan O'Sullivan <bos@serpentine.com> - 0.6.1-1
- Move library man page to devel package.

* Sun Aug 31 2003 Bryan O'Sullivan <bos@serpentine.com> - 
- Initial build.
